Name:           qsstv
Version:        7.1.7
Release:        3%{?dist}
Summary:        Qt-based slow-scan TV and fax

Group:          Applications/Communications
License:        GPLv2+
URL:            http://users.telenet.be/on4qz/qsstv/
Source0:        http://users.telenet.be/on4qz/qsstv/downloads/qsstv_%{version}.tgz
Source1:        qsstv.desktop
Source2:        qsstv.1

Patch0:         qsstv-fix-html-doc-path.patch
Patch1:         qsstv-fix-target-path.patch
Patch2:         qsstv-gcc47_unistd.patch

BuildRequires:  desktop-file-utils
BuildRequires:  fftw-devel
BuildRequires:  qt-devel
BuildRequires:  hamlib-devel
BuildRequires:  alsa-lib-devel


%description
Qsstv is a program for receiving slow-scan television and fax. These are
modes used by hamradio operators. Qsstv uses a soundcard to send and
receive images.

%prep
%setup -q -n %{name}_%{version}

%patch0 -p1 -b .docpath
%patch1 -p1 -b .targetpath
%patch2 -p1 -b .gcc47

# Don't strip the executable so debuginfo package can be built.
sed -i 's| strip $(TARGET);||g' src/src.pro


%build 
qmake-qt4 PREFIX=%{buildroot}%{_prefix}
make %{?_smp_mflags}


%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
make install 

# Install icon
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp src/icons/qsstv.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/


%files
%doc COPYING 
%{_docdir}/%{name}/
%{_bindir}/* 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 05 2012 Richard Shaw <hobbes1069@gmail.com> - 7.1.7-1
- Update to latest upstream release.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 5.3c-8
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 5.3c-6
- improve desktop file (#530838)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 24 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-3
- fix build requires

* Sun Aug 17 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-2
- add desktop file

* Sun Aug 10 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-1
- Misc cleanups

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.5c-1
- Initial build

